This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 501512

Summary: mcelog: warning: 18446744073709551600 bytes ignored in each record
Product: Red Hat Enterprise Linux 5 Reporter: Jay Turner <jturner>
Component: mcelogAssignee: Prarit Bhargava <prarit>
Status: CLOSED ERRATA QA Contact: BaseOS QE <qe-baseos-auto>
Severity: high Docs Contact:
Priority: high    
Version: 5.4CC: jscotka, rlerch, roth, srevivo, steven.chapel, syeghiay
Target Milestone: betaKeywords: Regression
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
the code that generates the MCE log contained a typo that appeared in several places. Consequently, mcelog would ignore a chunk of the data at the beginning of each record. The chunk of data would be so large that each record would be empty and therefore, the log itself would be empty. With this typo corrected, mcelog correctly generates its log of MCE events.
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-02 07:42:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
RHEL5 fix for this issue
none
BINARY EXECUTABLE with patch none

Description Jay Turner 2009-05-19 10:46:12 EDT
Description of problem:
Getting the following attempting to run mcelog on my Sony VAIO laptop (although I don't think that has anything to do with it.)

# mcelog --ignorenodev --filter
mcelog: warning: 18446744073709551600 bytes ignored in each record
mcelog: consider an update

Version-Release number of selected component (if applicable):
mcelog-0.9pre-1.24.el5.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run command shown above
  
Additional info:

I don't see the same behavior with 0.8pre-1.23.el5.x86_64 (it runs cleanly.)  In addition, since mcelog is run by cron.hourly and pertains to checking the system for MCE, this is something which should really be fixed before beta.
Comment 1 Jay Turner 2009-05-19 10:51:07 EDT
I just reproduced on another x86_64 machine.
Comment 3 Prarit Bhargava 2009-05-19 11:11:57 EDT
Hmm.

I've tried this on a few systems and cannot get the error to occur.  jkt, it's that silly funky laptop of yours :)  

I'll try it out on my sony vaio next.

P.
Comment 4 Prarit Bhargava 2009-05-19 11:57:35 EDT
Created attachment 344643 [details]
RHEL5 fix for this issue

The update took in a patch that would require a kernel change.  Back that patch out.

P.
Comment 5 Prarit Bhargava 2009-05-19 11:58:25 EDT
Created attachment 344644 [details]
BINARY EXECUTABLE with patch

jkt, please test with this and let me know if this resolves the problem.

Thanks,

P.
Comment 6 Jay Turner 2009-05-19 12:43:54 EDT
Works on both my VAIO laptop and my Intel x86_64 desktop machine.  Both were failing previously.
Comment 8 Jay Turner 2009-05-19 13:37:20 EDT
I just unlocked the file list.  Update it and we'll be glad to test.
Comment 9 Prarit Bhargava 2009-05-19 13:47:54 EDT
Built as mcelog-0.9pre-1.26.el5

P.
Comment 12 Prarit Bhargava 2009-05-19 13:52:36 EDT
(In reply to comment #8)
> I just unlocked the file list.  Update it and we'll be glad to test.  

Thanks.  Done.

P.
Comment 13 Chris Ward 2009-06-14 19:18:53 EDT
Partners, 

This particular request is of a notably high priority. In order to prepare make the most of this Alpha release, please report back initial test results before the scheduled Beta drop. That way if you encounter any issues, we can work to get additional corrections in before we launch our Public Beta release. Speak with your Partner Manager for additional dates and information. Thank you for your cooperation in this effort.
Comment 14 Chris Ward 2009-06-14 19:21:43 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 15 Jay Turner 2009-06-15 07:19:30 EDT
I'm not entirely sure how this ended up on the OtherQA list, but nevertheless, mcelog-0.9pre-1.26.el5 is working as expected.
Comment 16 Jan Ščotka 2009-06-18 07:07:28 EDT
thanks a lot Jay  for response.
Comment 19 Ruediger Landmann 2009-08-30 19:22:26 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
the code that generates the MCE log contained a typo that appeared in 
several places. Consequently, mcelog would ignore a chunk of the data at
the beginning of each record. The chunk of data would be so large that
each record would be empty and therefore, the log itself would be empty.
With this typo corrected, mcelog correctly generates its log of MCE 
events.
Comment 20 errata-xmlrpc 2009-09-02 07:42:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1374.html
Comment 21 Steve Chapel 2010-03-20 17:49:04 EDT
I suddenly started receiving this error emailed to my root account every hour starting this morning. I also get the error when I manually run mcelog.
Comment 22 Steve Chapel 2010-03-21 08:41:31 EDT
When the problem started coincides with the time that I updated to the package mcelog-0.7-4.fc11.x86_64
Comment 23 Steve Chapel 2010-03-21 08:44:17 EDT
Bug 538550 also discusses this issue.